BizKitHub
DocsAPI ReferenceContact/bff/contact/detail
getContactAdmin BFF

/bff/contact/detail

Returns full detail of a single contact by external ID, including profile data and CRM info. Vitals include both credit (count) and creditMoney (monetary value); the response also includes currency (ISO 4217 code of the organisation default currency) used for all *Money fields. Values are guaranteed consistent with /bff/contact/detail-credit for the same customer.

ContactgetBffContactDetail

Parameters

1 query

Query parameters

· 1
customerIdstringRequired

Contact external ID.

Exampleabc123def456ghij

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

GET /bff/contact/detail

get
curl -X GET "https://api.bizkithub.com/bff/contact/detail?customerId=abc123def456ghij" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY"

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key